-- name: [CS] Grunt
-- description: Grunt from Madness Combat!
--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md
]]

local E_MODEL_MDGRUNT_MODEL = smlua_model_util_get_id("grunt_geo")

local TEXT_MOD_NAME = "Grunt"

local VOICETABLE_MDGRUNT = {
    [CHAR_SOUND_ATTACKED] = 'grugh2.ogg',
	[CHAR_SOUND_EEUH] = 'grugh3.ogg',
	[CHAR_SOUND_LETS_A_GO] = {'scream.ogg', 'pulp1.ogg', 'pulp2.ogg'},
    [CHAR_SOUND_DROWNING] = {'pulp1.ogg', 'pulp2.ogg'},
    [CHAR_SOUND_DYING] = 'scream.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'grugh4.ogg',
    [CHAR_SOUND_HAHA] = 'grugh3.ogg',
    [CHAR_SOUND_HAHA_2] = 'grugh4.ogg',
	[CHAR_SOUND_DOH] = 'pulp1.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'scream.ogg',
    [CHAR_SOUND_HOOHOO] = 'gough2.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'scream.ogg',
    [CHAR_SOUND_OKEY_DOKEY] = 'scream.ogg',
    [CHAR_SOUND_ON_FIRE] = 'pulp1.ogg',
    [CHAR_SOUND_OOOF] = 'grugh1.ogg',
    [CHAR_SOUND_OOOF2] = 'grugh2.ogg',
	[CHAR_SOUND_HRMM] = 'gough4.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'gough1.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'gough2.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'gough3.ogg',
	[CHAR_SOUND_UH] = 'grugh4.ogg',
    [CHAR_SOUND_UH2] = 'grugh3.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'scream.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'pulp2.ogg',
    [CHAR_SOUND_WAAAOOOW] = {'pulp2.ogg', 'scream.ogg'},
    [CHAR_SOUND_WAH2] = 'pulp1.ogg',
    [CHAR_SOUND_WHOA] = 'grugh4.ogg',
    [CHAR_SOUND_YAHOO] = 'scream.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'gough4.ogg', 'grugh3.ogg', 'scream.ogg'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'gough4.ogg', 'grugh2.ogg', 'scream.ogg'},
}

if _G.charSelectExists then
    _G.charSelect.character_add("Grunt", {"I truly am the Madness Combat."}, "eldritchmeat", {r = 194, g = 194, b = 194}, E_MODEL_MDGRUNT_MODEL, CT_MARIO, get_texture_info("grunt"))

    _G.charSelect.character_add_voice(E_MODEL_MDGRUNT_MODEL, VOICETABLE_MDGRUNT)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_MDGRUNT then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_MDGRUNT then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#a32317\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end